# MPF< BM_T > Class Template Reference

Marginalized Particle filter. More...

`#include <libPF.h>`

Inheritance diagram for MPF< BM_T >:

[legend]
Collaboration diagram for MPF< BM_T >:

[legend]

List of all members.

## Public Member Functions
| MPF (const RV &rvlin, const RV &rvpf, mpdf &par0, mpdf &obs0, int n, const BM_T &BMcond0)
| Default constructor.
void | bayes (const vec &dt)
| Incremental Bayes rule.
const epdf & | _epdf () const
| Returns a pointer to the epdf representing posterior density on parameters. Use with care!
void | set_est (const epdf &epdf0)
| Set postrior of `rvc` to samples from epdf0. Statistics of Bms are not re-computed! Use only for initialization!
virtual void | bayesB (const mat &Dt)
| Batch Bayes rule (columns of Dt are observations).
virtual double | logpred (const vec &dt) const
const RV & | _rv () const
| access function
double | _ll () const
| access function
void | set_evalll (bool evl0)
| access function
virtual BM * | _copy_ (bool changerv=false)
## Public Attributes
double | SSAT
## Protected Attributes
int | n
| number of particles;
eEmp | est
| posterior density
vec & | _w
| pointer into `eEmp`
Array< vec > & | _samples
| pointer into `eEmp`
mpdf & | par
| Parameter evolution model.
mpdf & | obs
| Observation model.
RV | rv
| Random variable of the posterior.
double | ll
| Logarithm of marginalized data likelihood.
bool | evalll
| If true, the filter will compute likelihood of the data record and store it in `ll` . Set to false if you want to save computational time.
## Classes
class | mpfepdf
| internal class for MPDF providing composition of eEmp with external components

## Detailed Description

### template<class BM_T>
class MPF< BM_T >

Marginalized Particle filter.

Trivial version: proposal = parameter evolution, observation model is not used. (it is assumed to be part of BM).

## Member Function Documentation

template<class BM_T>

void MPF< BM_T >::bayes | ( | const vec & | dt | ) | `[inline, virtual]`

Incremental Bayes rule.

Parameters:

  | dt | vector of input data

Reimplemented from PF.

References PF::_samples, PF::_w, PF::est, PF::n, PF::par, eEmp::resample(), and mpdf::samplecond().

virtual double BM::logpred | ( | const vec & | dt | ) | const`[inline, virtual, inherited]`

Evaluates predictive log-likelihood of the given data record I.e. marginal likelihood of the data with the posterior integrated out.

Reimplemented in ARX, MixEF, and multiBM.

virtual BM* BM::_copy_ | ( | bool | changerv = `false` | ) | `[inline, virtual, inherited]`

Copy function required in vectors, Arrays of BM etc. Have to be DELETED manually! Prototype: BM* _copy_(){BM Tmp*=new Tmp(this*); return Tmp; }

Reimplemented in ARX.

Referenced by MixEF::MixEF().

The documentation for this class was generated from the following file:

- work/git/mixpp/bdm/estim/libPF.h